
![https://i.imgur.com/dBf99Od.png](https://i.imgur.com/dBf99Od.png)

Mod allows you to place any door (even mod one) with a key created for it. Only players with key will be able to open it. You can create key duplicates for your friends

<details><summary>How-to:</summary>
<p> 

<details><summary>Building a Lockable Door</summary>
<p>  

- Equip your hammer, select your door, then hold the Left Alt key before building the door. Refer to the tooltip for reference.

![](https://i.postimg.cc/yxCPcB60/1.png)

- After placement, a notification will show "Key Door Created" and the key to that door will drop or will be auto picked up if auto pick up is on.

![](https://i.postimg.cc/XvR2n95j/2.png)

</p>
</details>

<details><summary>Key and Door Identification</summary>
<p>

- Both the key and the door will have the same ID which serves as your reference.

![](https://i.postimg.cc/SxnS5zpQ/3.png)

- Keeping the right key in inventory will open the door with a matching ID. Closing the door doesn't require the key in the inventory.

![](https://i.postimg.cc/xT3Q4y7S/4.png)

- The door won't open if either you don't have the key with a matching ID or the key is not in your inventory.

![](https://i.postimg.cc/BbsmRDLj/5.png)

</p>
</details>

<details><summary>Destroying a Locked Door</summary>
<p>

You may destroy a locked door if any of these factors are met:
1) You built the door (whether you have the key or not in your inventory).
2) You did not build the door but you have the key to it. In this case, a notification will say "Key Found - Removing"
3) You are using Debug Mode (admin)
##### NOTE: In any case, the key to the destroyed door will not be deleted.

![](https://i.postimg.cc/bNWNcx0V/9.png)

</p>
</details>

<details><summary>Key Duplicates</summary>
<p>

Anyone can create a copy of a normal key. Key duplicate requires 1 iron bar in inventory. See key description for reference.

![](https://i.postimg.cc/cLRGzJyK/6.png)

</p>
</details>

<details><summary>Admin Door Key</summary>
<p>

Exclusively, an admin may create a key to any door by simply doing the following.
1) Take the ID of the door you wish to open with an admin key. (Hover on the door to see the ID)
2) Turn on debugmode.
3) On your console, type this command with no quotes "SpawnAdminKey [Door ID]".

Ex.

"SpawnAdminKey 1234567"

A notification will show that an admin key is created and the key will be on the ground or in your inventory if auto pick up is on.

![](https://i.postimg.cc/RZwQnN2Z/7.png)

![](https://i.postimg.cc/9fR65PkQ/8.png)

#### NOTE:
- Admin keys cannot be duplicated.
- Same mechanics apply in opening and closing the door.
- Having an admin key in inventory does not allow anyone to destroy the door associated with its ID. However, 'debugmode' allows an admin or anyone allowed to use this command to break ANY locked doors.

</p>
</details>

</p>
</details>


Like my mods? Support me:
Paypal: war3spells@gmail.com 



<details>
  <summary><b><span style="color:aqua;font-weight:200;font-size:20px">
    Patchnotes
</span></b></summary>

| Version | Changes   |
|--------|-----------|
| 1.0.0  | Mod Added |

</details>



For Questions or Comments, find KG![https://i.imgur.com/CPYNjXV.png](https://i.imgur.com/CPYNjXV.png)in the Odin Plus Team Discord:
[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/5gXNxNkUBt)